package com.company;

import java.util.*;

public class Grades {

    public static int countNumberOf5(List<Double> gradesList){
        int numberOf5s = 0;
        for(double grade : gradesList){
            if(grade == 5.0){
                numberOf5s++;
            }
        }
        return numberOf5s;
    }

    public static List<Double> getTheBestGrades(List<Double> gradesList){
        List<Double> theBestGradesList = new ArrayList<>();
        for(double grade : gradesList){
            if(grade >= 4){
                theBestGradesList.add(grade);
            }
        }
        return theBestGradesList;
    }

    public static void checkGrade(List<Double> gradesList, double gradeToCheck){
       if(gradesList.contains(gradeToCheck)){
           System.out.println(gradeToCheck + " is on the grades list");
       }else {
           System.out.println(gradeToCheck + " is not on the grades list");
       }
    }

    public static Set<Double> getGradesSet(){
        Set<Double> gradesSet = new TreeSet<>();
        gradesSet.add(2.0);
        gradesSet.add(3.0);
        gradesSet.add(3.5);
        gradesSet.add(4.0);
        gradesSet.add(4.5);
        gradesSet.add(5.0);
        return gradesSet;
    }

    public static Set<Double> showUniqueGrades(List<Double> gradesList){
        Set<Double> gradesSet = new HashSet<>();
        for(double grade : gradesList){
            gradesSet.add(grade);
        }
        return gradesSet;
    }

    public static Set<Double> showUniqueGradesVs2(List<Double> gradesList){
        Set<Double> gradesSet = new TreeSet<>();
        gradesSet.addAll(gradesList);
        return gradesSet;
    }

}
